package javax.swing.tree;

import javax.swing.event.TreeModelListener;

public interface TreeModel
{
    public abstract Object getRoot();
    
    public abstract Object getChild(Object p0, int p1);
    
    public abstract int getChildCount(Object p0);
    
    public abstract boolean isLeaf(Object p0);
    
    public abstract void valueForPathChanged(TreePath p0, Object p1);
    
    public abstract int getIndexOfChild(Object p0, Object p1);
    
    public abstract void addTreeModelListener(TreeModelListener p0);
    
    public abstract void removeTreeModelListener(TreeModelListener p0);
}
